Sets the increase factor used during RPROP training

- « fann_set_rprop_delta_zero

- fann_set_sarprop_step_error_shift »

- PHP Manual
- Fann Functions
- Sets the increase factor used during RPROP training

# fann_set_rprop_increase_factor

(PECL fann >= 1.0.0)

fann_set_rprop_increase_factor — Sets the increase factor used during RPROP training

### Description

fann_set_rprop_increase_factor(resource `$ann`, float `$rprop_increase_factor`): bool

Sets the increase factor used during RPROP training.

### Parameters

`ann`

  Neural network resource.

`rprop_increase_factor`

  The increase factor.

### Return Values

Returns `true` on success, or `false` otherwise.

### See Also

- fann_get_rprop_increase_factor() - Returns the increase factor used during RPROP training